## kazoo 0.9

=== Makefile ===
HERE = $(shell pwd)
BIN = $(HERE)/bin
PYTHON = $(BIN)/python

PIP_DOWNLOAD_CACHE ?= $(HERE)/.pip_cache
INSTALL = $(BIN)/pip install
INSTALL += --download-cache $(PIP_DOWNLOAD_CACHE) --use-mirrors

BUILD_DIRS = bin build include lib lib64 man share

GEVENT_VERSION ?= 1.0rc2
PYTHON_EXE = $(shell [ -f $(PYTHON) ] && echo $(PYTHON) || echo python)
PYPY = $(shell $(PYTHON_EXE) -c "import sys; print(getattr(sys, 'pypy_version_info', False) and 'yes' or 'no')")
TRAVIS ?= false
TRAVIS_PYTHON_VERSION ?= $(shell $(PYTHON_EXE) -c "import sys; print('.'.join([str(s) for s in sys.version_info][:2]))")

ZOOKEEPER = $(BIN)/zookeeper
ZOOKEEPER_VERSION ?= 3.4.5
ZOOKEEPER_PATH ?= $(ZOOKEEPER)

GEVENT_SUPPORTED = yes
ifeq ($(findstring 3.,$(TRAVIS_PYTHON_VERSION)), 3.)
	GEVENT_SUPPORTED = no
endif
ifeq ($(PYPY),yes)
	GEVENT_SUPPORTED = no
endif

.PHONY: all build clean test zookeeper clean-zookeeper

all: build

$(PYTHON):
	python sw/virtualenv.py --distribute .
	rm distribute-0.6.*.tar.gz

build: $(PYTHON)
ifeq ($(GEVENT_SUPPORTED),yes)
	$(INSTALL) -U -r requirements_gevent.txt
	$(INSTALL) -f https://github.com/SiteSupport/gevent/downloads gevent==$(GEVENT_VERSION)
endif
ifneq ($(TRAVIS), true)
	$(INSTALL) -U -r requirements_sphinx.txt
endif
	$(INSTALL) -U -r requirements.txt
	$(PYTHON) setup.py develop
	$(INSTALL) kazoo[test]

clean:
	rm -rf $(BUILD_DIRS)

test:
	ZOOKEEPER_PATH=$(ZOOKEEPER_PATH) \
	$(BIN)/nosetests -d --with-coverage kazoo.tests -v

html:
	cd docs && \
	make html

$(ZOOKEEPER):
	@echo "Installing Zookeeper"
	mkdir -p bin
	cd bin && \
	curl --progress-bar http://apache.osuosl.org/zookeeper/zookeeper-$(ZOOKEEPER_VERSION)/zookeeper-$(ZOOKEEPER_VERSION).tar.gz | tar -zx
	mv bin/zookeeper-$(ZOOKEEPER_VERSION) bin/zookeeper
	cd bin/zookeeper
	chmod a+x bin/zookeeper/bin/zkServer.sh
	@echo "Finished installing Zookeeper"

zookeeper: $(ZOOKEEPER)

clean-zookeeper:
	rm -rf zookeeper bin/zookeeper

=== requirements.txt ===
coverage==3.6b3
distribute==0.6.28
mock==1.0.1
nose==1.2.1
zope.interface==4.0.3

=== debian/changelog ===
kazoo (0.9-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/copyright missing licenses for kazoo/tests/util.py and
    kazoo/testing/common.py.

 -- Neil Williams <neil@spladug.net>  Mon, 18 Mar 2013 16:46:39 -0700

kazoo (0.8-1) unstable; urgency=low

  * Initial package. (Closes: #696511)

 -- Neil Williams <neil@spladug.net>  Fri, 21 Dec 2012 19:27:43 -0800

=== debian/control ===
Source: kazoo
Section: python
Priority: optional
Maintainer: Neil Williams <neil@spladug.net>
Build-Depends: python-setuptools (>= 0.6b3),
               python-all (>= 2.6.6-3),
               debhelper (>= 8.0.0),
               python-repoze.sphinx.autointerface,
               python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
Standards-Version: 3.9.3
Homepage: https://kazoo.readthedocs.org

Package: python-kazoo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: higher level API to Apache Zookeeper for Python clients
 Kazoo features:
 .
  * Support for gevent 0.13 and gevent 1.0b
  * Unified asynchronous API for use with greenlets or threads
  * Lock, Party, Election, and Partitioner recipe implementations (more
    implementations are in development)
  * Data and Children Watchers
  * Integrated testing helpers for Zookeeper clusters
  * Simplified Zookeeper connection state tracking
  * Pure-Python based implementation of the wire protocol, avoiding all the
    memory leaks, lacking features, and debugging madness of the C library
 .
 Kazoo is heavily inspired by Netflix Curator simplifications and helpers.

Package: python-kazoo-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: API to Apache Zookeeper for Python clients. - API documentation
 Kazoo features:
 .
  * Support for gevent 0.13 and gevent 1.0b
  * Unified asynchronous API for use with greenlets or threads
  * Lock, Party, Election, and Partitioner recipe implementations (more
    implementations are in development)
  * Data and Children Watchers
  * Integrated testing helpers for Zookeeper clusters
  * Simplified Zookeeper connection state tracking
  * Pure-Python based implementation of the wire protocol, avoiding all the
    memory leaks, lacking features, and debugging madness of the C library
 .
 Kazoo is heavily inspired by Netflix Curator simplifications and helpers.
 .
 This package contains the API documentation.

## kazoo 1.2.1

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 build: $(PYTHON)
 ifeq ($(GEVENT_SUPPORTED),yes)
 	$(INSTALL) -U -r requirements_gevent.txt
-	$(INSTALL) -f https://github.com/SiteSupport/gevent/downloads gevent==$(GEVENT_VERSION)
+	$(INSTALL) -f http://code.google.com/p/gevent/downloads/list gevent==$(GEVENT_VERSION)
 endif
 ifneq ($(TRAVIS), true)
 	$(INSTALL) -U -r requirements_sphinx.txt
@@ -50,8 +50,8 @@
 	rm -rf $(BUILD_DIRS)
 
 test:
-	ZOOKEEPER_PATH=$(ZOOKEEPER_PATH) \
-	$(BIN)/nosetests -d --with-coverage kazoo.tests -v
+	ZOOKEEPER_PATH=$(ZOOKEEPER_PATH) NOSE_LOGFORMAT='%(thread)d:%(filename)s: %(levelname)s: %(message)s' \
+	$(BIN)/nosetests -d -v --with-coverage kazoo.tests
 
 html:
 	cd docs && \
@@ -61,7 +61,7 @@
 	@echo "Installing Zookeeper"
 	mkdir -p bin
 	cd bin && \
-	curl --progress-bar http://apache.osuosl.org/zookeeper/zookeeper-$(ZOOKEEPER_VERSION)/zookeeper-$(ZOOKEEPER_VERSION).tar.gz | tar -zx
+	curl -C - http://apache.osuosl.org/zookeeper/zookeeper-$(ZOOKEEPER_VERSION)/zookeeper-$(ZOOKEEPER_VERSION).tar.gz | tar -zx
 	mv bin/zookeeper-$(ZOOKEEPER_VERSION) bin/zookeeper
 	cd bin/zookeeper
 	chmod a+x bin/zookeeper/bin/zkServer.sh

=== requirements.txt ===
coverage==3.6
distribute==0.6.31
mock==1.0.1
nose==1.2.1
zope.interface==4.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = ../bin/sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/kazoo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/kazoo.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/kazoo"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/kazoo"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
kazoo (1.2.1-1ubuntu4) trusty; urgency=low

  * Fix debian/patches/no-zope.patch even harder since it drops a needed
    import statement from kazoo/handlers/threading.py which causes multiple
    test failures due to tcp timeouts

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 Apr 2014 03:48:10 -0400

kazoo (1.2.1-1ubuntu3) trusty; urgency=medium

  * Fix syntax error in def spawn in kazoo/interfaces.py introduced by
    debian/patches/no-zope.patch (added in 1.2.1-1ubuntu1) so the package
    will be installable

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 Apr 2014 01:42:26 -0400

kazoo (1.2.1-1ubuntu2) trusty; urgency=medium

  * debian/rules: Fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Mar 2014 10:16:42 -0400

kazoo (1.2.1-1ubuntu1) trusty; urgency=medium

  * debian/control: Dropped python-repoze.sphinx.autointerface.
  * debian/tests/*: Add dep8 tests.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 24 Mar 2014 11:54:14 -0400

kazoo (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Fix sphinx documentation build on clean systems (added
    python-gevent to Build-Depends and patched config).
  * Bumped standards version to 3.9.4. No changes needed.

 -- Neil Williams <neil@spladug.net>  Mon, 26 Aug 2013 06:26:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: kazoo
 Section: python
 Priority: optional
-Maintainer: Neil Williams <neil@spladug.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Neil Williams <neil@spladug.net>
 Build-Depends: python-setuptools (>= 0.6b3),
                python-all (>= 2.6.6-3),
                debhelper (>= 8.0.0),
-               python-repoze.sphinx.autointerface,
                python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
-Standards-Version: 3.9.3
+               python-gevent
+XS-Testsuite: autopkgtest
+Standards-Version: 3.9.4
 Homepage: https://kazoo.readthedocs.org
 
 Package: python-kazoo

=== debian/tests/control ===
Tests: python-kazoo
Depends: @, python-nose, zookeeper, libzookeeper-java, python-mock

## kazoo 1.3.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 BUILD_DIRS = bin build include lib lib64 man share
 
-GEVENT_VERSION ?= 1.0rc2
+GEVENT_VERSION ?= 1.0rc3
 PYTHON_EXE = $(shell [ -f $(PYTHON) ] && echo $(PYTHON) || echo python)
 PYPY = $(shell $(PYTHON_EXE) -c "import sys; print(getattr(sys, 'pypy_version_info', False) and 'yes' or 'no')")
 TRAVIS ?= false
@@ -37,7 +37,7 @@
 build: $(PYTHON)
 ifeq ($(GEVENT_SUPPORTED),yes)
 	$(INSTALL) -U -r requirements_gevent.txt
-	$(INSTALL) -f http://code.google.com/p/gevent/downloads/list gevent==$(GEVENT_VERSION)
+	$(INSTALL) -f https://github.com/surfly/gevent/releases gevent==$(GEVENT_VERSION)
 endif
 ifneq ($(TRAVIS), true)
 	$(INSTALL) -U -r requirements_sphinx.txt

=== requirements.txt ===
coverage==3.6
distribute==0.6.31
mock==1.0.1
nose==1.3.0
zope.interface==4.0.5

=== debian/changelog ===
kazoo (1.3.1-1ubuntu1~cloud0) trusty-juno; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 14 Oct 2014 07:34:37 -0400

kazoo (1.3.1-1ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - no-zope.patch: Remove repoze.sphinx-interface (applied upstream now)
    - Add autopkgtest.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 26 Jun 2014 11:08:48 +0200

kazoo (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Use pybuild.
  * Add Python 3 support (Closes: #739482).
  * Bumped standards version to 3.9.5. No changes needed.

 -- Neil Williams <neil@spladug.net>  Wed, 19 Feb 2014 14:17:54 -0800

kazoo (1.2.1-1ubuntu5) utopic; urgency=medium

  * Add missing allow-stderr autopkgtest restriction.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 May 2014 08:51:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,32 +3,61 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Neil Williams <neil@spladug.net>
-Build-Depends: python-setuptools (>= 0.6b3),
+Build-Depends: debhelper (>= 8),
+               dh-python,
                python-all (>= 2.6.6-3),
-               debhelper (>= 8.0.0),
+               python-setuptools (>= 0.6b3),
+               python3-all,
+               python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
-               python-gevent
+               python-gevent,
+Standards-Version: 3.9.5
+Homepage: https://kazoo.readthedocs.org
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.4
-Homepage: https://kazoo.readthedocs.org
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-kazoo
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Description: higher level API to Apache Zookeeper for Python clients
+Suggests: python-kazoo-doc
+Description: higher level API to Apache Zookeeper (Python 2)
  Kazoo features:
  .
-  * Support for gevent 0.13 and gevent 1.0b
+  * A wide range of recipe implementations, like Lock, Election or Queue
+  * Data and Children Watchers
+  * Simplified Zookeeper connection state tracking
   * Unified asynchronous API for use with greenlets or threads
-  * Lock, Party, Election, and Partitioner recipe implementations (more
-    implementations are in development)
-  * Data and Children Watchers
+  * Support for gevent 0.13 and gevent 1.0
+  * Support for Zookeeper 3.3 and 3.4 servers
   * Integrated testing helpers for Zookeeper clusters
-  * Simplified Zookeeper connection state tracking
   * Pure-Python based implementation of the wire protocol, avoiding all the
     memory leaks, lacking features, and debugging madness of the C library
  .
  Kazoo is heavily inspired by Netflix Curator simplifications and helpers.
+ .
+ This is the Python 2 version of the package.
+
+Package: python3-kazoo
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Suggests: python-kazoo-doc
+Description: higher level API to Apache Zookeeper (Python 3)
+ Kazoo features:
+ .
+  * A wide range of recipe implementations, like Lock, Election or Queue
+  * Data and Children Watchers
+  * Simplified Zookeeper connection state tracking
+  * Unified asynchronous API for use with greenlets or threads
+  * Support for gevent 0.13 and gevent 1.0
+  * Support for Zookeeper 3.3 and 3.4 servers
+  * Integrated testing helpers for Zookeeper clusters
+  * Pure-Python based implementation of the wire protocol, avoiding all the
+    memory leaks, lacking features, and debugging madness of the C library
+ .
+ Kazoo is heavily inspired by Netflix Curator simplifications and helpers.
+ .
+ This is the Python 3 version of the package.
 
 Package: python-kazoo-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kazoo
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

.PHONY: override_dh_auto_build
override_dh_auto_build:
	sphinx-build -b html docs build/html
	dh_auto_build

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf build
	dh_clean

## kazoo 2.2.1

=== Makefile ===
HERE = $(shell pwd)
BIN = $(HERE)/bin
PYTHON = $(BIN)/python
PIP_DOWNLOAD_CACHE ?= $(HERE)/.pip_cache
INSTALL = $(BIN)/pip install
ifneq ($(TRAVIS), true)
    INSTALL += --download-cache $(PIP_DOWNLOAD_CACHE)
endif
TOX_VENV ?= py27
BUILD_DIRS = bin build include lib lib64 man share

GEVENT_VERSION ?= 1.0.1
PYTHON_EXE = $(shell [ -f $(PYTHON) ] && echo $(PYTHON) || echo python)
PYPY = $(shell $(PYTHON_EXE) -c "import sys; print(getattr(sys, 'pypy_version_info', False) and 'yes' or 'no')")
TRAVIS ?= false
TRAVIS_PYTHON_VERSION ?= $(shell $(PYTHON_EXE) -c "import sys; print('.'.join([str(s) for s in sys.version_info][:2]))")

GREENLET_SUPPORTED = yes
ifeq ($(findstring 3.,$(TRAVIS_PYTHON_VERSION)), 3.)
	GREENLET_SUPPORTED = no
endif
ifeq ($(PYPY),yes)
	GREENLET_SUPPORTED = no
endif

.PHONY: all build clean test

all: build

$(PYTHON):
	python sw/virtualenv.py .

build: $(PYTHON)
ifeq ($(GREENLET_SUPPORTED),yes)
	$(INSTALL) -U -r requirements_eventlet.txt
	$(INSTALL) -U -r requirements_gevent.txt
	$(INSTALL) -f https://github.com/surfly/gevent/releases gevent==$(GEVENT_VERSION)
endif
ifneq ($(TRAVIS), true)
	$(INSTALL) -U -r requirements_sphinx.txt
endif
	$(INSTALL) -U -r requirements.txt
	$(PYTHON) setup.py develop
	$(INSTALL) kazoo[test]

clean:
	rm -rf $(BUILD_DIRS)

test:
	tox -e$(TOX_VENV)

html:
	cd docs && \
	make html

=== requirements.txt ===
coverage==3.7.1
mock==1.0.1
nose==1.3.3
flake8==2.3.0

=== debian/changelog ===
kazoo (2.2.1-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add autopkgtest.
  * Dropped changes:
    - no-zope.patch: Remove repoze.sphinx-interface (applied upstream now).

 -- James Page <james.page@ubuntu.com>  Tue, 11 Aug 2015 09:47:59 +0100

kazoo (2.2.1-1) unstable; urgency=medium

  * Adopting the package in the OpenStack PKG team, as per comments of Neils
    in Neil Williams in the bug report below:
    - Added VCS fields.
  * New upstream release (Closes: #792503).
  * Removed no-tag-build.patch applied upstream.
  * Removed -doc package as the docs folder is gone from upstream.
  * Removed X-Python-Version: >= 2.6 X-Python3-Version: >= 3.2, now useless.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in d/source/options.
  * Added a debian/gbp.conf.
  * Standards-Version is now 3.9.6 (no changes).

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jul 2015 13:41:10 +0000

kazoo (1.3.1-1ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:16:40 +0000

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Neil Williams <neil@spladug.net>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Neil Williams <neil@spladug.net>, Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 8),
                dh-python,
-               python-all (>= 2.6.6-3),
-               python-setuptools (>= 0.6b3),
+               python-all,
+               python-setuptools,
                python3-all,
                python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
                python-gevent,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/kazoo.git
+Vcs-Git: git://anonscm.debian.org/openstack/kazoo.git
 Homepage: https://kazoo.readthedocs.org
 XS-Testsuite: autopkgtest
 X-Python-Version: >= 2.6
@@ -58,24 +61,3 @@
  Kazoo is heavily inspired by Netflix Curator simplifications and helpers.
  .
  This is the Python 3 version of the package.
-
-Package: python-kazoo-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Description: API to Apache Zookeeper for Python clients. - API documentation
- Kazoo features:
- .
-  * Support for gevent 0.13 and gevent 1.0b
-  * Unified asynchronous API for use with greenlets or threads
-  * Lock, Party, Election, and Partitioner recipe implementations (more
-    implementations are in development)
-  * Data and Children Watchers
-  * Integrated testing helpers for Zookeeper clusters
-  * Simplified Zookeeper connection state tracking
-  * Pure-Python based implementation of the wire protocol, avoiding all the
-    memory leaks, lacking features, and debugging madness of the C library
- .
- Kazoo is heavily inspired by Netflix Curator simplifications and helpers.
- .
- This package contains the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kazoo
export PYBUILD_DISABLE=test

UPSTREAM_GIT = git://github.com/python-zk/kazoo.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf build
	dh_clean

=== debian/tests/control ===
Tests: python-kazoo
Depends: @, python-nose, zookeeper, libzookeeper-java, python-mock
Restrictions: allow-stderr

## kazoo 2.4.0

=== debian/changelog ===
kazoo (2.4.0-3ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add autopkgtest.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 08:44:33 +0200

kazoo (2.4.0-3) unstable; urgency=medium

  [ Michal Arbet ]
  * Add fix-python3.7-async-reserver-keyword.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Jul 2018 13:29:49 +0200

kazoo (2.4.0-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - cherry-pick upstream patch for python 3.7

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Jul 2018 16:33:49 +0200

kazoo (2.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Add Vcs-* field

  [ Thomas Goirand ]
  * Add missing dh-python build-depends.
  * Removed X-Python-Version:.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 22:21:23 +0200

kazoo (2.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/copyright: Inlined Apache-2 license
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Prefixing all debhelper files.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Bumped to debhelper 10.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 12:19:12 +0100

kazoo (2.2.1-1ubuntu2) cosmic; urgency=medium

  * debian/patches/225d3369c7a0736125a9375951a079f70fbe9e79.patch:
    - cherry-pick upstream patch for python 3.7

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Jun 2018 23:00:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,50 @@
 Source: kazoo
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Neil Williams <neil@spladug.net>, Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 8),
-               dh-python,
-               python-all,
-               python-setuptools,
-               python3-all,
-               python3-setuptools,
-               python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
-               python-gevent,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/kazoo.git
-Vcs-Git: git://anonscm.debian.org/openstack/kazoo.git
-Homepage: https://kazoo.readthedocs.org
+Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders:
+ Thomas Goirand <zigo@debian.org>,
+ Neil Williams <neil@spladug.net>,
+Build-Depends:
+ debhelper (>= 10),
+ dh-python,
+ openstack-pkg-tools,
+ python-all,
+ python-setuptools,
+ python-sphinx | python3-sphinx,
+ python3-all,
+ python3-setuptools,
+Build-Depends-Indep:
+ python-coverage,
+ python-eventlet,
+ python-jinja2,
+ python-mock,
+ python-nose,
+ python-pygments,
+ python3-coverage,
+ python3-eventlet,
+ python3-jinja2,
+ python3-mock,
+ python3-nose,
+ python3-pygments,
+Standards-Version: 4.1.3
+Homepage: https://kazoo.readthedocs.io
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/kazoo
+Vcs-Git: https://salsa.debian.org/openstack-team/python/kazoo.git
 XS-Testsuite: autopkgtest
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-kazoo
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
-Suggests: python-kazoo-doc
+Depends:
+ python-eventlet,
+ python-jinja2,
+ python-pygments,
+ ${misc:Depends},
+ ${python:Depends},
+Suggests:
+ python-kazoo-doc,
 Description: higher level API to Apache Zookeeper (Python 2)
  Kazoo features:
  .
@@ -43,8 +64,14 @@
 
 Package: python3-kazoo
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
-Suggests: python-kazoo-doc
+Depends:
+ python3-eventlet,
+ python3-jinja2,
+ python3-pygments,
+ ${misc:Depends},
+ ${python3:Depends},
+Suggests:
+ python-kazoo-doc,
 Description: higher level API to Apache Zookeeper (Python 3)
  Kazoo features:
  .

## kazoo 2.5.0

=== debian/changelog ===
kazoo (2.5.0-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 10 Dec 2018 22:46:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kazoo
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Neil Williams <neil@spladug.net>,
@@ -31,9 +31,6 @@
 Homepage: https://kazoo.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/kazoo
 Vcs-Git: https://salsa.debian.org/openstack-team/python/kazoo.git
-XS-Testsuite: autopkgtest
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-kazoo
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kazoo
export PYBUILD_DISABLE=test

UPSTREAM_GIT := https://github.com/python-zk/kazoo.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf build
	dh_clean

## kazoo 2.6.1

=== Makefile ===
HERE = $(shell pwd)
BIN = $(HERE)/bin
PYTHON = $(BIN)/python
INSTALL = $(BIN)/pip install
TOX_VENV ?= py27
BUILD_DIRS = bin build include lib lib64 man share

PYTHON_EXE = $(shell [ -f $(PYTHON) ] && echo $(PYTHON) || echo python)
PYPY = $(shell $(PYTHON_EXE) -c "import sys; print(getattr(sys, 'pypy_version_info', False) and 'yes' or 'no')")
TRAVIS ?= false
TRAVIS_PYTHON_VERSION ?= $(shell $(PYTHON_EXE) -c "import sys; print('.'.join([str(s) for s in sys.version_info][:2]))")

GREENLET_SUPPORTED = yes
ifeq ($(findstring 3.,$(TRAVIS_PYTHON_VERSION)), 3.)
	GREENLET_SUPPORTED = no
	VENV_CMD = $(PYTHON_EXE) -m venv .
else
	VENV_CMD = $(PYTHON_EXE) -m virtualenv .
endif
ifeq ($(PYPY),yes)
	GREENLET_SUPPORTED = no
endif

.PHONY: all build clean test

all: build

$(PYTHON):
	$(VENV_CMD)

build: $(PYTHON)
ifeq ($(GREENLET_SUPPORTED),yes)
	$(INSTALL) -U -r requirements_eventlet.txt
	$(INSTALL) -U -r requirements_gevent.txt
endif
ifneq ($(TRAVIS), true)
	$(INSTALL) -U -r requirements_sphinx.txt
endif
	$(INSTALL) -U -r requirements.txt
	$(PYTHON) setup.py develop
	$(INSTALL) kazoo[test]

clean:
	rm -rf $(BUILD_DIRS)

test:
	tox -e$(TOX_VENV)

html:
	cd docs && \
	make html

=== requirements.txt ===
coverage==3.7.1
mock==1.0.1
nose==1.3.3
pure-sasl==0.5.1
flake8==2.3.0
objgraph==3.4.0

=== debian/changelog ===
kazoo (2.6.1-5) unstable; urgency=medium

  * Add python3-objgraph in debian/tests/control (Closes: #933631).

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jan 2020 12:59:44 +0100

kazoo (2.6.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Fix autopkgtest to use Python 3 only (Closes: #936782).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Jan 2020 21:01:26 +0100

kazoo (2.6.1-3) unstable; urgency=medium

  * Removed one remaining Python 2 build-depends (Closes: #936782).

 -- Thomas Goirand <zigo@debian.org>  Sun, 15 Sep 2019 09:36:11 +0200

kazoo (2.6.1-2) unstable; urgency=medium

  * Removed Pyhton 2 support (Closes: #935432).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Aug 2019 02:18:30 +0200

kazoo (2.6.1-1) unstable; urgency=medium

  [ Chuck Short ]
  * Add testsuite

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * d/control: Remove XS-Testsuite field, not needed anymore.
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2019 12:36:30 +0200

=== debian/control ===
Source: kazoo
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Neil Williams <neil@spladug.net>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-eventlet,
 python3-jinja2,
 python3-mock,
 python3-nose,
 python3-pygments,
Standards-Version: 4.1.3
Homepage: https://kazoo.readthedocs.io
Vcs-Browser: https://salsa.debian.org/openstack-team/python/kazoo
Vcs-Git: https://salsa.debian.org/openstack-team/python/kazoo.git

Package: python3-kazoo
Architecture: all
Depends:
 python3-eventlet,
 python3-jinja2,
 python3-pygments,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-kazoo-doc,
Description: higher level API to Apache Zookeeper (Python 3)
 Kazoo features:
 .
  * A wide range of recipe implementations, like Lock, Election or Queue
  * Data and Children Watchers
  * Simplified Zookeeper connection state tracking
  * Unified asynchronous API for use with greenlets or threads
  * Support for gevent 0.13 and gevent 1.0
  * Support for Zookeeper 3.3 and 3.4 servers
  * Integrated testing helpers for Zookeeper clusters
  * Pure-Python based implementation of the wire protocol, avoiding all the
    memory leaks, lacking features, and debugging madness of the C library
 .
 Kazoo is heavily inspired by Netflix Curator simplifications and helpers.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 export PYBUILD_NAME=kazoo
 export PYBUILD_DISABLE=test
+export ZOOKEEPER_VERSION="3.4.13"
 
 UPSTREAM_GIT := https://github.com/python-zk/kazoo.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 .PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:

=== debian/tests/control ===
Tests: python3-kazoo
Depends:
 libzookeeper-java,
 python3-mock,
 python3-nose,
 python3-objgraph,
 zookeeper,
 @,
Restrictions: allow-stderr

## kazoo 2.7.0

=== debian/changelog ===
kazoo (2.7.0-5) unstable; urgency=medium

  * Add fix-SyntaxWarning-is-to-equalequal.patch (Closes: #985010).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 18:55:45 +0100

kazoo (2.7.0-4) unstable; urgency=medium

  * Rebuid source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Aug 2020 22:57:42 +0200

kazoo (2.7.0-3) unstable; urgency=medium

  * Removed autopkgtest (Closes: #960965).

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Aug 2020 16:18:45 +0200

kazoo (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 01:56:41 +0200

kazoo (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-tests-by-add-auth.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 23:18:35 +0200

kazoo (2.6.1-6) unstable; urgency=medium

  * d/patches: Add fix-tests-by-add-auth.patch (Closes: #933631).
  * d/control: Add me to uploaders field.
  * d/copyright: Add me to copyright file.
  * d/tests/control: Add python3-pure-sasl dependency.
  * d/tests/python3-kazoo: Add dynamic ZOOKEEPER_VERSION export.
  * d/rules: Remove ZOOKEEPER_VERSION from rules.

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 18 Feb 2020 18:02:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
  Neil Williams <neil@spladug.net>,
 Build-Depends:
  debhelper-compat (= 10),
@@ -15,10 +16,14 @@
 Build-Depends-Indep:
  python3-coverage,
  python3-eventlet,
+ python3-gevent,
  python3-jinja2,
  python3-mock,
  python3-nose,
+ python3-objgraph,
+ python3-pure-sasl,
  python3-pygments,
+ python3-six,
 Standards-Version: 4.1.3
 Homepage: https://kazoo.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/kazoo
@@ -28,8 +33,10 @@
 Architecture: all
 Depends:
  python3-eventlet,
+ python3-gevent,
  python3-jinja2,
- python3-pygments,
+ python3-pure-sasl,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## kazoo 2.8.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 BIN = $(HERE)/bin
 PYTHON = $(BIN)/python
 INSTALL = $(BIN)/pip install
-TOX_VENV ?= py27
+TOX_VENV ?= py37
 BUILD_DIRS = bin build include lib lib64 man share
 
 PYTHON_EXE = $(shell [ -f $(PYTHON) ] && echo $(PYTHON) || echo python)

=== debian/changelog ===
kazoo (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Mar 2022 19:00:16 +0100

kazoo (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-SyntaxWarning-is-to-equalequal.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 09:32:17 +0100

## kazoo 2.9.0

=== debian/changelog ===
kazoo (2.9.0-2) unstable; urgency=medium

  * Drop python3-nose from build-depends (Closes: #1018384).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 14:02:10 +0200

kazoo (2.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 12:30:25 +0200

## kazoo 2.10.0

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,11 @@
 
 PYTHON_EXE = $(shell [ -f $(PYTHON) ] && echo $(PYTHON) || echo python)
 PYPY = $(shell $(PYTHON_EXE) -c "import sys; print(getattr(sys, 'pypy_version_info', False) and 'yes' or 'no')")
-TRAVIS ?= false
-TRAVIS_PYTHON_VERSION ?= $(shell $(PYTHON_EXE) -c "import sys; print('.'.join([str(s) for s in sys.version_info][:2]))")
+CI ?= false
+CI_PYTHON_VERSION ?= $(shell $(PYTHON_EXE) -c "import sys; print('.'.join([str(s) for s in sys.version_info][:2]))")
 
 GREENLET_SUPPORTED = yes
-ifeq ($(findstring 3.,$(TRAVIS_PYTHON_VERSION)), 3.)
+ifeq ($(findstring 3.,$(CI_PYTHON_VERSION)), 3.)
 	GREENLET_SUPPORTED = no
 	VENV_CMD = $(PYTHON_EXE) -m venv .
 else
@@ -33,7 +33,7 @@
 	$(INSTALL) -U -r requirements_eventlet.txt
 	$(INSTALL) -U -r requirements_gevent.txt
 endif
-ifneq ($(TRAVIS), true)
+ifneq ($(CI), true)
 	$(INSTALL) -U -r requirements_sphinx.txt
 endif
 	$(INSTALL) -U -r requirements.txt

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = ../bin/sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@egrep '^\.PHONY: [a-zA-Z_-]+ .*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = "(: |##)"}; {printf "\033[36m%-30s\033[0m %s\n", $$2, $$3}'

.PHONY: clean
clean:
	-rm -rf $(BUILDDIR)/*

.PHONY: html ## to make standalone HTML files
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml ## to make HTML files named index.html in directories
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml ## to make a single large HTML file
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle ## to make pickle files
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json ## to make JSON files
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp ## to make HTML files and a HTML help project
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp ## to make HTML files and a qthelp project
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/kazoo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/kazoo.qhc"

.PHONY: devhelp ## to make HTML files and a Devhelp project
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/kazoo"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/kazoo"
	@echo "# devhelp"

.PHONY: epub ## to make an epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex ## to make LaTeX files, you can set PAPER=a4 or PAPER=letter
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf ## to make LaTeX files and run them through pdflatex
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text ## to make text files
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man ## to make manual pages
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo ## to make Texinfo files
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info ## to make Texinfo files and run them through makeinfo
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext ## to make PO message catalogs
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes ## to make an overview of all changed/added/deprecated items
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck ## to check all external links for integrity
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest ## to run all doctests embedded in the documentation (if enabled)
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
kazoo (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 11:48:50 +0200

kazoo (2.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 17:33:11 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-gevent,
  python3-jinja2,
  python3-mock,
- python3-nose,
  python3-objgraph,
  python3-pure-sasl,
  python3-pygments,

=== debian/watch ===
version=3
https://github.com/python-zk/kazoo/tags .*/(\d[\d\.]+)\.tar\.gz
